Index: LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90	(revision 5117)
@@ -115,11 +115,11 @@
 include "YOMCST.h"
 
-integer,intent(in)              :: level
-real,intent(in)                 :: missing_val
-real,intent(in),dimension(level):: t, p
-real,intent(in)                 :: plimu, pliml, gamma, ps, zs
-real,intent(out)                :: ptrp, ttrp, ztrp
-
-real,parameter                  :: deltaz = 2000.0
+INTEGER,INTENT(IN)              :: level
+REAL,INTENT(IN)                 :: missing_val
+REAL,INTENT(IN),DIMENSION(level):: t, p
+REAL,INTENT(IN)                 :: plimu, pliml, gamma, ps, zs
+REAL,INTENT(OUT)                :: ptrp, ttrp, ztrp
+
+REAL,parameter                  :: deltaz = 2000.0
 
 real     :: faktor
@@ -129,5 +129,5 @@
 real     :: p2km, asum, aquer
 real     :: pmk2, pm2, a2, b2, tm2, dtdp2, dtdz2
-integer  :: icount, jj, j
+INTEGER  :: icount, jj, j
 
 ptrp=missing_val
@@ -149,8 +149,8 @@
 
    ! dt/dz valid?
-   if (j==level)     go to 999                 ! no, start level, initialize first
-   if (dtdz<=gamma)  go to 999                 ! no, dt/dz < -2 K/km
-   if (dtdz0>gamma) go to 999                 ! no, dt/dz below > -2 K/km
-   if (pm>plimu)    go to 999                 ! no, pm too low
+   IF (j==level)     go to 999                 ! no, start level, initialize first
+   IF (dtdz<=gamma)  go to 999                 ! no, dt/dz < -2 K/km
+   IF (dtdz0>gamma) go to 999                 ! no, dt/dz below > -2 K/km
+   IF (pm>plimu)    go to 999                 ! no, pm too low
 
    ! dtdz is valid, calculate tropopause pressure ptph
@@ -165,6 +165,6 @@
    ttph = ttph + (bg * log(ptph) + ag * (ptph**rkappa)/rkappa) / faktor*t(j)
 
-   if (ptph<pliml) go to 999
-   if (ptph>plimu) go to 999
+   IF (ptph<pliml) go to 999
+   IF (ptph>plimu) go to 999
 
    ! 2nd test: dtdz above 2 km must not exceed gamma
@@ -192,5 +192,5 @@
    
        ! discard ptropo ?
-        if (aquer<=gamma) go to 999           ! dt/dz above < gamma
+        IF (aquer<=gamma) go to 999           ! dt/dz above < gamma
 
 110 continue 
@@ -206,5 +206,5 @@
 
 jj = LEVEL                                       ! bottom
-DO while ((P(jj)>PS) .or. (T(jj)<100))     ! T must be valid too
+DO while ((P(jj)>PS) .OR. (T(jj)<100))     ! T must be valid too
   jj=jj-1
 END DO
@@ -214,5 +214,5 @@
 TDLNP = TM*DLNP
 
-DO while ( (JJ>=2) .and. (PTRP<P(jj-1)) )
+DO while ( (JJ>=2) .AND. (PTRP<P(jj-1)) )
   DLNP = log(P(jj)/P(jj-1))
   TM = 0.5 * (T(jj) + T(jj-1))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90	(revision 5117)
@@ -35,5 +35,5 @@
     USE indice_sol_mod
 #ifdef ISO
-    use infotrac_phy, ONLY: ntiso,niso
+    USE infotrac_phy, ONLY: ntiso,niso
     USE isotopes_mod, ONLY: iso_eau, iso_HDO, iso_O18, iso_O17, &
         ridicule_qsol
@@ -162,5 +162,5 @@
 ! calculate constants
     CALL calbeta(dtime, is_ter, knon, snow, qsol, beta, capsol, dif_grnd)
-    if (type_veget=='betaclim') THEN
+    IF (type_veget=='betaclim') THEN
        CALL calbeta_clim(knon,jour,latitude(knindex(1:knon)),beta)
     endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90	(revision 5117)
@@ -66,8 +66,8 @@
     USE indice_sol_mod
 #ifdef ISO
-    use infotrac_phy, ONLY: ntiso,niso
-    use isotopes_mod, ONLY: nudge_qsol, iso_eau
-#ifdef ISOVERIF
-    use isotopes_verif_mod
+    USE infotrac_phy, ONLY: ntiso,niso
+    USE isotopes_mod, ONLY: nudge_qsol, iso_eau
+#ifdef ISOVERIF
+    USE isotopes_verif_mod
 #endif
 #endif
@@ -160,8 +160,8 @@
 
 #ifdef ISO       
-      real, parameter :: t_coup = 273.15
-      real, dimension(klon) :: fqfonte_diag
-      real, dimension(klon) :: snow_evap_diag 
-      real, dimension(klon) :: fqcalving_diag 
+      REAL, parameter :: t_coup = 273.15
+      REAL, DIMENSION(klon) :: fqfonte_diag
+      REAL, DIMENSION(klon) :: snow_evap_diag
+      REAL, DIMENSION(klon) :: fqcalving_diag
       INTEGER :: ixt
 #endif 
@@ -179,5 +179,5 @@
 !        WRITE(*,*) 'surf_land_mod 162'
         do i=1,knon
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(precip_snow(i), &
             xtprecip_snow(iso_eau,i),'surf_land_mod 129', &
@@ -252,5 +252,5 @@
      WRITE(*,*) 'surf_land 193: apres surf_land_orchidee'
      do i=1,knon
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
               'surf_land 197',errmax,errmaxrel)
@@ -280,5 +280,5 @@
 
 #ifdef ISO
-        if (nudge_qsol.eq.1) THEN
+        IF (nudge_qsol.EQ.1) THEN
           CALL surf_land_nudge_qsol(knon,rlat,rlon,qsol,xtsol,knindex)
         endif
@@ -397,7 +397,7 @@
 
     DO i=1,knon
-      IF ((rlat(knindex(i)) >= lat_min_nudge_qsol).and. &
-         (rlat(knindex(i)) <= lat_max_nudge_qsol).and. &
-         (rlon(knindex(i)) >= lon_min_nudge_qsol).and. &
+      IF ((rlat(knindex(i)) >= lat_min_nudge_qsol).AND. &
+         (rlat(knindex(i)) <= lat_max_nudge_qsol).AND. &
+         (rlon(knindex(i)) >= lon_min_nudge_qsol).AND. &
          (rlon(knindex(i)) <= lon_max_nudge_qsol)) THEN
 !        WRITE(*,*) 'surf_land 324: bon domaine: rlat,rlon,qsol=', &
@@ -408,9 +408,9 @@
         ELSE IF (region_nudge_qsol == 2) THEN      
            qsol_new=max(qsol(i),120.0)
-        ELSE !if (region_nudge_qsol.eq.1) THEN
+        ELSE !if (region_nudge_qsol.EQ.1) THEN
            WRITE(*,*) 'surf_land 317: cas pas prevu'
            WRITE(*,*) 'region_nudge_qsol=',region_nudge_qsol
            STOP
-        ENDIF !if (region_nudge_qsol.eq.1) THEN
+        ENDIF !if (region_nudge_qsol.EQ.1) THEN
         IF (qsol(i) > 0.0) THEN
            DO ixt=1,niso
@@ -424,5 +424,5 @@
         qsol(i)=qsol_new
         WRITE(*,*) 'surf_land 346: qsol_new=',qsol(i)      
-     ENDIF ! if ((rlat(i).ge.lat_min_nudge_qsol).and.
+     ENDIF ! if ((rlat(i).ge.lat_min_nudge_qsol).AND.
   ENDDO !DO i=1,knon
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5117)
@@ -29,5 +29,5 @@
   USE lmdz_phys_para, mpi_root_rank => mpi_master
   USE carbon_cycle_mod, ONLY: nbcf_in_orc, nbcf_out, fields_in, yfields_in, yfields_out, cfname_in, cfname_out
-  USE nrtype, ONLY: PI
+  USE lmdz_physical_constants, ONLY: PI
 
   IMPLICIT NONE
@@ -162,5 +162,5 @@
 
     ! type de couplage dans sechiba
-    !  character (len=10)   :: coupling = 'implicit'
+    !  CHARACTER (LEN=10)   :: coupling = 'implicit'
     ! drapeaux controlant les appels dans SECHIBA
     !  type(control_type), save   :: control_in
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5117)
@@ -161,5 +161,5 @@
 
 ! type de couplage dans sechiba
-!  character (len=10)   :: coupling = 'implicit' 
+!  CHARACTER (LEN=10)   :: coupling = 'implicit'
 ! drapeaux controlant les appels dans SECHIBA
 !  type(control_type), save   :: control_in
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5117)
@@ -25,5 +25,5 @@
   USE lmdz_phys_para, mpi_root_rank=>mpi_master
   USE carbon_cycle_mod, ONLY: nbcf_in_orc, nbcf_out, fields_in, yfields_in, yfields_out, cfname_in, cfname_out
-  USE nrtype, ONLY: PI
+  USE lmdz_physical_constants, ONLY: PI
   
   IMPLICIT NONE
@@ -155,5 +155,5 @@
 
 ! type de couplage dans sechiba
-!  character (len=10)   :: coupling = 'implicit' 
+!  CHARACTER (LEN=10)   :: coupling = 'implicit'
 ! drapeaux controlant les appels dans SECHIBA
 !  type(control_type), save   :: control_in
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5117)
@@ -158,5 +158,5 @@
 
 ! type de couplage dans sechiba
-!  character (len=10)   :: coupling = 'implicit' 
+!  CHARACTER (LEN=10)   :: coupling = 'implicit'
 ! drapeaux controlant les appels dans SECHIBA
 !  type(control_type), save   :: control_in
@@ -410,5 +410,5 @@
 !    ktindex(:)=ktindex(:)+MOD(offset,nbp_lon)
 !    offset=offset-MOD(offset,nbp_lon)
-!  endif
+!  ENDIF
   
     IF (debut) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5117)
@@ -156,5 +156,5 @@
 
 ! type de couplage dans sechiba
-!  character (len=10)   :: coupling = 'implicit' 
+!  CHARACTER (LEN=10)   :: coupling = 'implicit'
 ! drapeaux controlant les appels dans SECHIBA
 !  type(control_type), save   :: control_in
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5117)
@@ -158,5 +158,5 @@
 
 ! type de couplage dans sechiba
-!  character (len=10)   :: coupling = 'implicit' 
+!  CHARACTER (LEN=10)   :: coupling = 'implicit'
 ! drapeaux controlant les appels dans SECHIBA
 !  type(control_type), save   :: control_in
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5117)
@@ -66,6 +66,6 @@
     !****************************************************************************************
     INTEGER, INTENT(IN) :: itime, knon
-    INTEGER, DIMENSION(klon), INTENT(in) :: knindex
-    REAL, INTENT(in) :: dtime
+    INTEGER, DIMENSION(klon), INTENT(IN) :: knindex
+    REAL, INTENT(IN) :: dtime
     REAL, DIMENSION(klon), INTENT(IN) :: swnet ! net shortwave radiance
     REAL, DIMENSION(klon), INTENT(IN) :: lwnet ! net longwave radiance
@@ -135,5 +135,5 @@
 #ifdef ISO
     REAL, DIMENSION(ntiso,klon), INTENT(OUT)     :: xtevap     
-!    real, DIMENSION(niso,klon) :: xtrun_off_lic_0_diag ! est une variable globale de
+!    REAL, DIMENSION(niso,klon) :: xtrun_off_lic_0_diag ! est une variable globale de
 !    fonte_neige
 #endif
@@ -163,5 +163,5 @@
     REAL, DIMENSION(niso,klon) :: xtsnow_prec,xtsol_prec
     REAL, DIMENSION(klon) :: snow_prec,qsol_prec
-!    real, DIMENSION(klon) :: run_off_lic_0_diag
+!    REAL, DIMENSION(klon) :: run_off_lic_0_diag
 #endif
 
@@ -433,5 +433,5 @@
       !****************************************************************************************
 
-      if (z0m_landice > 0.) THEN
+      IF (z0m_landice > 0.) THEN
         z0m(1:knon) = z0m_landice
         z0h(1:knon) = z0h_landice
@@ -449,9 +449,9 @@
         coefd = log(z03) - coefc * ta3
         do j = 1, knon
-          if (temp_air(j) < ta1) THEN
+          IF (temp_air(j) < ta1) THEN
             z0m(j) = z01
-          else if (temp_air(j)>=ta1 .and. temp_air(j)<ta2) THEN
+          ELSE IF (temp_air(j)>=ta1 .AND. temp_air(j)<ta2) THEN
             z0m(j) = exp(coefa * temp_air(j) + coefb)
-          else if (temp_air(j)>=ta2 .and. temp_air(j)<ta3) THEN
+          ELSE IF (temp_air(j)>=ta2 .AND. temp_air(j)<ta3) THEN
             ! if st > 0, melting induce smooth surface
             z0m(j) = exp(coefc * temp_air(j) + coefd)
@@ -473,5 +473,5 @@
       ! this layer
 
-      if (ok_bs) THEN
+      IF (ok_bs) THEN
         fluxbs(:) = 0.
         do j = 1, knon
@@ -484,5 +484,5 @@
         ! 1st step: erosion of fresh snow accumulated during the time step
         do j = 1, knon
-          if (precip_snow(j) > 0.) THEN
+          IF (precip_snow(j) > 0.) THEN
             rhos(j) = rhofresh_bs
             ! blowing snow flux formula used in MAR
@@ -507,5 +507,5 @@
             fluxbs_1(j) = max(-maxerosion, fluxbs_1(j))
 
-            if (precip_snow(j) > abs(fluxbs_1(j))) THEN
+            IF (precip_snow(j) > abs(fluxbs_1(j))) THEN
               ok_remaining_freshsnow(j) = .TRUE.
               bsweight_fresh(j) = 1.
@@ -530,5 +530,5 @@
         ! which depends on surface snow density
         do j = 1, knon
-          if (ok_remaining_freshsnow(j)) THEN
+          IF (ok_remaining_freshsnow(j)) THEN
             fluxbs_2(j) = 0.
           else
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_ocean_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_ocean_mod.F90	(revision 5117)
@@ -28,6 +28,6 @@
             )
 
-    use albedo, ONLY: alboc, alboc_cd
-    use bulk_flux_m, ONLY: bulk_flux
+    USE albedo, ONLY: alboc, alboc_cd
+    USE bulk_flux_m, ONLY: bulk_flux
     USE dimphy, ONLY: klon, zmasq
     USE surface_data, ONLY: type_ocean
@@ -96,32 +96,32 @@
 #endif
 
-    REAL, intent(inout) :: delta_sst(:) ! (knon)
+    REAL, INTENT(INOUT) :: delta_sst(:) ! (knon)
     ! Ocean-air interface temperature minus bulk SST, in K. Defined
     ! only if activate_ocean_skin >= 1.
 
-    real, intent(inout) :: delta_sal(:) ! (knon)
+    REAL, INTENT(INOUT) :: delta_sal(:) ! (knon)
     ! Ocean-air interface salinity minus bulk salinity, in ppt. Defined
     ! only if activate_ocean_skin >= 1.
 
-    REAL, intent(inout) :: ds_ns(:) ! (knon)
+    REAL, INTENT(INOUT) :: ds_ns(:) ! (knon)
     ! "delta salinity near surface". Salinity variation in the
     ! near-surface turbulent layer. That is subskin salinity minus
     ! foundation salinity. In ppt.
 
-    REAL, intent(inout) :: dt_ns(:) ! (knon)
+    REAL, INTENT(INOUT) :: dt_ns(:) ! (knon)
     ! "delta temperature near surface". Temperature variation in the
     ! near-surface turbulent layer. That is subskin temperature
     ! minus foundation temperature. (Can be negative.) In K.
 
-    REAL, intent(inout) :: dter(:) ! (knon)
+    REAL, INTENT(INOUT) :: dter(:) ! (knon)
     ! Temperature variation in the diffusive microlayer, that is
     ! ocean-air interface temperature minus subskin temperature. In
     ! K.
 
-    REAL, intent(inout) :: dser(:) ! (knon)
+    REAL, INTENT(INOUT) :: dser(:) ! (knon)
     ! Salinity variation in the diffusive microlayer, that is
     ! ocean-air interface salinity minus subskin salinity. In ppt.
 
-    real, intent(inout) :: dt_ds(:) ! (knon)
+    REAL, INTENT(INOUT) :: dt_ds(:) ! (knon)
     ! (tks / tkt) * dTer, in K
 
@@ -141,15 +141,15 @@
     REAL, DIMENSION(klon), INTENT(OUT) :: flux_u1, flux_v1
 
-    REAL, intent(out) :: tkt(:) ! (knon)
+    REAL, INTENT(OUT) :: tkt(:) ! (knon)
     ! épaisseur (m) de la couche de diffusion thermique (microlayer)
     ! cool skin thickness
 
-    REAL, intent(out) :: tks(:) ! (knon)
+    REAL, INTENT(OUT) :: tks(:) ! (knon)
     ! épaisseur (m) de la couche de diffusion de masse (microlayer)
 
-    REAL, intent(out) :: taur(:) ! (knon)
+    REAL, INTENT(OUT) :: taur(:) ! (knon)
     ! momentum flux due to rain, in Pa
 
-    real, intent(out) :: sss(:) ! (klon)
+    REAL, INTENT(OUT) :: sss(:) ! (klon)
     ! Bulk salinity of the surface layer of the ocean, in ppt. (Only
     ! defined for subscripts 1:knon, but we have to declare it with
@@ -157,6 +157,6 @@
 
 #ifdef ISO
-    REAL, DIMENSION(ntraciso,klon), INTENT(out) :: xtevap ! isotopes in surface evaporation flux 
-    REAL, DIMENSION(klon), INTENT(out)          :: h1 ! just a diagnostic, not useful for the simulation   
+    REAL, DIMENSION(ntraciso,klon), INTENT(OUT) :: xtevap ! isotopes in surface evaporation flux
+    REAL, DIMENSION(klon), INTENT(OUT)          :: h1 ! just a diagnostic, not useful for the simulation
 #endif
 
@@ -378,6 +378,6 @@
     ENDIF
 
-    if (activate_ocean_skin >= 1) THEN
-      if (type_ocean /= 'couple') sss(:knon) = 35.
+    IF (activate_ocean_skin >= 1) THEN
+      IF (type_ocean /= 'couple') sss(:knon) = 35.
       CALL bulk_flux(tkt, tks, taur, dter, dser, t_int, s_int, ds_ns, dt_ns, &
               u = windsp(:knon), t_ocean_1 = tsurf_new(:knon), s1 = sss(:knon), &
@@ -391,7 +391,7 @@
       delta_sal = s_int - sss(:knon)
 
-      if (activate_ocean_skin == 2) THEN
+      IF (activate_ocean_skin == 2) THEN
         tsurf_new(:knon) = t_int
-        if (type_ocean == 'couple') dt_ds = (tks / tkt) * dter
+        IF (type_ocean == 'couple') dt_ds = (tks / tkt) * dter
       end if
     end if
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_seaice_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_seaice_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_seaice_mod.F90	(revision 5117)
@@ -116,5 +116,5 @@
 !albedo SB <<<
 
-    real rhoa(knon) ! density of moist air  (kg / m3)
+    REAL rhoa(knon) ! density of moist air  (kg / m3)
 
 ! End definitions
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/sw_aeroAR4.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/sw_aeroAR4.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/sw_aeroAR4.F90	(revision 5117)
@@ -98,5 +98,5 @@
   !* LOCAL VARIABLES:
 
-  real, parameter:: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
+  REAL, parameter:: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
 
   REAL(KIND=8) ZOZ(KDLON,KFLEV)
@@ -252,5 +252,5 @@
 
 ! clear sky with no aerosols at all is computed IF ACTIVEFEEDBACK_ACTIVE is false or for extended diag
-     IF ( swaero_diag .or. .not. AEROSOLFEEDBACK_ACTIVE .OR. flag_aerosol == 0 ) THEN
+     IF ( swaero_diag .OR. .NOT. AEROSOLFEEDBACK_ACTIVE .OR. flag_aerosol == 0 ) THEN
 
      ! clear-sky: zero aerosol effect
@@ -278,8 +278,8 @@
         ENDDO
      ENDDO
-     ENDIF ! swaero_diag .or. .not. AEROSOLFEEDBACK_ACTIVE
+     ENDIF ! swaero_diag .OR. .NOT. AEROSOLFEEDBACK_ACTIVE
 
 ! cloudy sky with no aerosols at all is either computed IF no indirect effect is asked for, or for extended diag
-     IF ( swaero_diag .or. .not. AEROSOLFEEDBACK_ACTIVE .OR. flag_aerosol == 0 ) THEN
+     IF ( swaero_diag .OR. .NOT. AEROSOLFEEDBACK_ACTIVE .OR. flag_aerosol == 0 ) THEN
      ! cloudy-sky: zero aerosol effect
      flag_aer=0.0
@@ -307,9 +307,9 @@
         ENDDO
      ENDDO
-     ENDIF ! swaero_diag .or. .not. AEROSOLFEEDBACK_ACTIVE
+     ENDIF ! swaero_diag .OR. .NOT. AEROSOLFEEDBACK_ACTIVE
 
      IF (flag_aerosol>0 .OR. flag_aerosol_strat>0) THEN
 
-     IF (ok_ade.and.swaero_diag .or. .not. ok_ade) THEN
+     IF (ok_ade.AND.swaero_diag .OR. .NOT. ok_ade) THEN
 
         ! clear sky direct effect natural aerosol
@@ -401,5 +401,5 @@
      ENDIF !-end ok_ade
 
-     IF ( .not. ok_ade .or. .not. ok_aie ) THEN
+     IF ( .NOT. ok_ade .OR. .NOT. ok_aie ) THEN
 
         ! cloudy-sky with natural aerosols for indirect effect 
@@ -435,5 +435,5 @@
      ENDIF  !--true/false or false/true
 
-     IF (ok_ade .and. ok_aie) THEN
+     IF (ok_ade .AND. ok_aie) THEN
 
         ! cloudy-sky with total aerosols for indirect effect 
@@ -466,5 +466,5 @@
         ENDDO
   
-      ENDIF ! ok_ade .and. ok_aie
+      ENDIF ! ok_ade .AND. ok_aie
 
      IF (ok_aie) THEN
@@ -507,5 +507,5 @@
 
   IF  ( AEROSOLFEEDBACK_ACTIVE .AND. (flag_aerosol>0 .OR. flag_aerosol_strat>0) ) THEN
-  IF ( ok_ade .and. ok_aie  ) THEN
+  IF ( ok_ade .AND. ok_aie  ) THEN
     ZFSUP(:,:) =    ZFSUP_AERO(:,:,4)
     ZFSDN(:,:) =    ZFSDN_AERO(:,:,4)
@@ -514,5 +514,5 @@
   ENDIF
 
-  IF ( ok_ade .and. (.not. ok_aie) )  THEN
+  IF ( ok_ade .AND. (.NOT. ok_aie) )  THEN
     ZFSUP(:,:) =    ZFSUP_AERO(:,:,2)
     ZFSDN(:,:) =    ZFSDN_AERO(:,:,2)
@@ -521,5 +521,5 @@
   ENDIF
 
-  IF ( (.not. ok_ade) .and. ok_aie  )  THEN
+  IF ( (.NOT. ok_ade) .AND. ok_aie  )  THEN
     ZFSUP(:,:) =    ZFSUP_AERO(:,:,5)
     ZFSDN(:,:) =    ZFSDN_AERO(:,:,5)
@@ -528,5 +528,5 @@
   ENDIF
 
-  IF ((.not. ok_ade) .and. (.not. ok_aie)) THEN
+  IF ((.NOT. ok_ade) .AND. (.NOT. ok_aie)) THEN
     ZFSUP(:,:) =    ZFSUP_AERO(:,:,3)
     ZFSDN(:,:) =    ZFSDN_AERO(:,:,3)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/thermcell_old.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/thermcell_old.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/thermcell_old.h	(revision 5117)
@@ -1,4 +1,4 @@
 
-      real,parameter     :: r_aspect_thermals=2.
-      real,parameter     :: l_mix_thermals=30.
-      integer,parameter  :: w2di_thermals=0
+      REAL,parameter     :: r_aspect_thermals=2.
+      REAL,parameter     :: l_mix_thermals=30.
+      INTEGER,parameter  :: w2di_thermals=0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/tracco2i_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/tracco2i_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/tracco2i_mod.F90	(revision 5117)
@@ -366,5 +366,5 @@
 
     INTEGER :: n_glo, n_month
-    REAL, allocatable :: vector(:), time(:)
+    REAL, ALLOCATABLE :: vector(:), time(:)
     REAL, ALLOCATABLE :: flx_co2ff_glo(:, :) !  fossil-fuel CO2
     REAL, ALLOCATABLE :: flx_co2bb_glo(:, :) !  biomass-burning CO2
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/tracinca_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/tracinca_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/tracinca_mod.F90	(revision 5117)
@@ -58,5 +58,5 @@
     USE dimphy
     USE infotrac_phy, ONLY: nbtr
-    USE vampir
+    USE lmdz_vampir
     USE indice_sol_mod
     USE lmdz_geometry, ONLY: cell_area
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/traclmdz_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/traclmdz_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/traclmdz_mod.F90	(revision 5117)
@@ -117,12 +117,12 @@
     LOGICAL :: zero
     ! RomP >>> profil initial Be7
-    integer ilesfil
+    INTEGER ilesfil
     parameter (ilesfil = 1)
-    integer  irr, kradio
+    INTEGER  irr, kradio
     real     beryllium(klon, klev)
     ! profil initial Pb210
-    integer ilesfil2
+    INTEGER ilesfil2
     parameter (ilesfil2 = 1)
-    integer  irr2, kradio2
+    INTEGER  irr2, kradio2
     real     plomb(klon, klev)
     !! RomP <<<
@@ -308,8 +308,9 @@
     USE dimphy
     USE infotrac_phy, ONLY: nbtr, pbl_flg
-    USE strings_mod, ONLY: int2str
+    USE lmdz_strings, ONLY: int2str
     USE regr_pr_comb_coefoz_m, ONLY: regr_pr_comb_coefoz
     USE o3_chem_m, ONLY: o3_chem
     USE indice_sol_mod
+    USE lmdz_q_sat, ONLY: q_sat
 
     INCLUDE "YOMCST.h"
@@ -334,5 +335,5 @@
     REAL, DIMENSION(klon, klev + 1), INTENT(IN) :: paprs   ! pression pour chaque inter-couche (en Pa)
     REAL, DIMENSION(klon, klev), INTENT(IN) :: pplay   ! pression pour le mileu de chaque couche (en Pa)
-    REAL, intent(in) :: zmasse (:, :)   ! dim(klon,klev) density of air, in kg/m2
+    REAL, INTENT(IN) :: zmasse (:, :)   ! dim(klon,klev) density of air, in kg/m2
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/tsoilnudge.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/tsoilnudge.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/tsoilnudge.h	(revision 5117)
@@ -1,5 +1,5 @@
-      logical nudge_tsoil
-      integer isoil_nudge
-      real Tsoil_nudge, tau_soil_nudge
+      LOGICAL nudge_tsoil
+      INTEGER isoil_nudge
+      REAL Tsoil_nudge, tau_soil_nudge
 
       common /tsoilnudge/ nudge_tsoil, isoil_nudge, Tsoil_nudge,        &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/undefSTD.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/undefSTD.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/undefSTD.F90	(revision 5117)
@@ -6,5 +6,5 @@
   USE dimphy
   USE phys_state_var_mod
-  USE wxios, ONLY: missing_val_xios => missing_val, using_xios
+  USE lmdz_wxios, ONLY: missing_val_xios => missing_val, using_xios
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/vdif_kcay.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/vdif_kcay.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/vdif_kcay.F90	(revision 5117)
@@ -384,7 +384,7 @@
 
       ! abd
-      ! IF(ilev.le.57.and.ilev.ge.37) THEN
+      ! IF(ilev.le.57.AND.ilev.ge.37) THEN
       ! PRINT*,'L=',ilev,'   GN=',gn,'  SM=',sm(igrid,ilev)
-      ! endif
+      ! END IF
       ! --->
       ! la decomposition de Taylor en q2 n'a de sens que
@@ -533,5 +533,5 @@
       q2(igrid, ilev) = q2cstat
       m(igrid, ilev) = mcstat
-      ! abd       IF(ilev.le.57.and.ilev.ge.37) THEN
+      ! abd       IF(ilev.le.57.AND.ilev.ge.37) THEN
       ! PRINT*,'L=',ilev,'   M2=',m2(igrid,ilev),m2cstat,
       ! s     'N2=',n2(igrid,ilev)
@@ -561,7 +561,7 @@
       km(igrid, ilev) = long(igrid, ilev)*q(igrid, ilev)*sm(igrid, ilev)
       ! abd
-      ! IF(ilev.le.57.and.ilev.ge.37) THEN
+      ! IF(ilev.le.57.AND.ilev.ge.37) THEN
       ! PRINT*,'L=',ilev,'   GN=',gn,'  SM=',sm(igrid,ilev)
-      ! endif
+      ! END IF
 
       ! .......................................................................
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ave.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ave.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ave.h	(revision 5117)
@@ -149,5 +149,5 @@
 c
 C
-      if (ok_sync) THEN
+      IF (ok_sync) THEN
         CALL histsync(nid_bilKPave)
       endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ins.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ins.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ins.h	(revision 5117)
@@ -173,5 +173,5 @@
 cIM 280405 END
 C
-      if (ok_sync) THEN
+      IF (ok_sync) THEN
         CALL histsync(nid_bilKPins)
       endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/write_histREGDYN.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/write_histREGDYN.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/write_histREGDYN.h	(revision 5117)
@@ -2,6 +2,6 @@
 ! $Header$
 
-      if (ok_regdyn) THEN
-      if (is_sequential) THEN
+      IF (ok_regdyn) THEN
+      IF (is_sequential) THEN
       ndex3d = 0
       itau_w = itau_phy + itap + start_time * day_step / iphysiq
@@ -52,5 +52,5 @@
      &               kmaxm1*lmaxm1*iwmax,ndex3d)
 
-      if (ok_sync) THEN
+      IF (ok_sync) THEN
         CALL histsync(nid_regdyn)
       endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/write_histday_seri.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/write_histday_seri.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/write_histday_seri.h	(revision 5117)
@@ -157,5 +157,5 @@
 !=================================================================
 
-      if (ok_sync) THEN
+      IF (ok_sync) THEN
         CALL histsync(nid_day_seri)
       endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90	(revision 5117)
@@ -450,5 +450,5 @@
 
 !!!! DO j = 1,knon
-!!!!  IF (mod(j,20) .eq.0) THEN
+!!!!  IF (mod(j,20) .EQ.0) THEN
 !!!!   print *, '   j     dd_QQ       QQ_b  dd_HQphiQ  dd_HQphiT   dd_HQRn   HQphiQ_b   HQphiT_b     HQRn_b '
 !!!!  ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90	(revision 5117)
@@ -357,6 +357,6 @@
         ! else
         ! q2(ig,k)=(qpre/(1.-aa(ig,k)*qpre))**2
-        ! endif
-        ! endif
+        ! END IF
+        ! END IF
         q2(ig, k) = min(max(q2(ig, k), 1.E-10), 1.E4)
       END DO
